Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451321 - please rebuild - jgroups
Summary: please rebuild - jgroups
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: jgroups
Version: 10
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Deepak Bhole
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: badVendor
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-13 19:51 UTC by Jon Stanley
Modified: 2008-12-11 20:49 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-12-11 20:49:26 UTC


Attachments (Terms of Use)

Description Jon Stanley 2008-06-13 19:51:35 UTC
Package lists Red Hat, Inc as a vendor tag. This causes various problems. I've
verified that the tag is not set in the spec, so a rebuild should fix it. Please
bump release and rebuild for rawhide.

I'd do this myself, but package ACL's are preventing me from committing. Also
consider removing those.

Comment 1 Deepak Bhole 2008-11-05 18:22:06 UTC
The vendor tag is added by the build system, it cannot be removed. What problems are you seeing due to it?

Comment 2 Jon Stanley 2008-11-09 20:52:42 UTC
Right, there was a problem that I couldn't talk about publicly at the time, but I can now.  Spacewalk was using NEVRA as a differentior between two packages, figuring that no two packages should ever have identical NEVRA.  For various reasons, we were looking at using the vendor tag.

This didn't work either, specifically because of problems like this (vendor not saying Fedora Project, which it would if you built this today). We now use the md5sum of the package. This was probably built way back in the FC days, when the vendor was properly "Red Hat, Inc." and hasn't required a rebuild since.

So in short, you don't HAVE to rebuild this, but it'd be nice to get the entire distribution from one "vendor"

Comment 3 Bug Zapper 2008-11-26 02:25:16 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Deepak Bhole 2008-12-11 20:49:26 UTC
This is the version of jgroups in Fedora now:

http://koji.fedoraproject.org/koji/buildinfo?buildID=61845

And it had Vendor/Packager = "Fedora Project"

Closing as fixed. Feel free to reopen if you are still having problems.


Note You need to log in before you can comment on or make changes to this bug.